.\" $NetBSD: fusermount.8,v 1.3 2007/06/11 21:16:23 agc Exp $ */
.\"
.\" Copyright (c) 2007 Alistair Crooks.  All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\" 3. The name of the author may not be used to endorse or promote
.\"    products derived from this software without specific prior written
.\"    permission.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS
.\" OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
.\" ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
.\" DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
.\" DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
.\" GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
.\" WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
.\" NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
.\" SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
.\"
.\"
.Dd June 11, 2007
.Dt FUSERMOUNT 8
.Os
.Sh NAME
.Nm fusermount
.Nd manage librefuse mount items
.Sh SYNOPSIS
.Nm
.Op Fl chpVx
.Op Fl d Ar name
.Ar refuseoptions
.Nm
.Fl u
.Ar mountpoint(s)
.Sh DESCRIPTION
The
.Nm
utility acts as a frontend to the
.Xr refuse 3
library, allowing mounting and unmounting of
refuse-based
file systems.
.Pp
There are essentially two forms of the
.Nm
command.
The first, and default option, is to mount a
refuse-based
file system.
By using the
.Fl u
argument, the file system can be unmounted.
.Pp
The arguments to
.Nm
are as follows:
.Bl -tag -width Ds
.It Fl c
Set a flag to enable kernel caching of files.
At present this option has no effect.
.It Fl d Ar name
Make the name argument appear as the file system
name in
.Xr mount 8
and
.Xr df 1
output.
.It Fl h
Print a usage message and exit.
.It Fl p
Check the file permissions.
At present this option has no effect.
.It Fl V
Display the
.Nm
version on stdout, and then exit successfully.
.It Fl x
Allow mortal (non-root) users to access the file system.
At present, this option has no effect.
.El
.Pp
The
.Nm
utility is included mainly for compatibility reasons, since some
file systems demand its existence.
.Sh EXIT STATUS
.Nm
returns 0 for successful operation, or
non-zero if one of the operations did not complete successfully.
.Sh EXAMPLES
The command
.Dl fusermount -d ntfs-3g unused mount.ntfs-3g ntfs.img /mnt
will mount the file
.Pa ntfs.img
on the directory
.Pa /mnt .
Please note the
.Pa unused
argument in the command, which is necessary for compatibility
with other implementations of the
.Nm
command.
.Sh SEE ALSO
.Xr df 1 ,
.Xr puffs 3 ,
.Xr refuse 3 ,
.Xr mount 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 5.0 .
.Sh AUTHORS
The
.Nm
utility was written by
.An Alistair Crooks
.Aq agc@NetBSD.org .
